jif.lang

## Interface ConfPolicy

- All Superinterfaces:
    Policy
  All Known Implementing Classes:
    JoinConfPolicy, MeetConfPolicy, ReaderPolicy

      public interface ConfPolicy
      extends Policy

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfPolicy` | `join(ConfPolicy p)`
    `ConfPolicy` | `join(ConfPolicy p, boolean simplify)`
    `ConfPolicy` | `join(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)` Return the join of this policy and p.
    `ConfPolicy` | `join(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies, boolean simplify)`
    `ConfPolicy` | `meet(ConfPolicy p)`
    `ConfPolicy` | `meet(ConfPolicy p, boolean simplify)`
    `ConfPolicy` | `meet(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)`
    `ConfPolicy` | `meet(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies, boolean simplify)`

    - ### Methods inherited from interface jif.lang.Policy

      `relabelsTo`

- - ### Method Detail

    - #### join

          ConfPolicy join(ConfPolicy p,
                          java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)

      Return the join of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this join result depends upon.

    - #### meet

          ConfPolicy meet(ConfPolicy p,
                          java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)

    - #### join

          ConfPolicy join(ConfPolicy p)

    - #### meet

          ConfPolicy meet(ConfPolicy p)

    - #### join

          ConfPolicy join(ConfPolicy p,
                          boolean simplify)

    - #### meet

          ConfPolicy meet(ConfPolicy p,
                          boolean simplify)

    - #### join

          ConfPolicy join(ConfPolicy p,
                          java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies,
                          boolean simplify)

    - #### meet

          ConfPolicy meet(ConfPolicy p,
                          java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies,
                          boolean simplify)